Skip to content
View as Markdown

GET Get Contact Emails​

GET
/subscribers/{id}/emails

Retrieve a paginated list of emails sent to a contact. Supports filtering by open/click status. Can also show FluentSMTP logs when the tab parameter is set to fluentsmtp.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

filter

Filter emails by engagement status.

Type
string
Valid values
"open""click""unopened"
tab

Email source tab. Use fluentsmtp to show FluentSMTP logs instead of CRM campaign emails.

Type
string
Valid values
"crm""fluentsmtp"
Default
"crm"
per_page

Number of emails per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated list of emails.

application/json
JSON
{
"emails": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"campaign_id": 0,
"subscriber_id": 0,
"email_type": "string",
"email_subject_id": 0,
"email_address": "string",
"email_subject": "string",
"email_body": "string",
"status": "string",
"is_open": 0,
"click_counter": 0,
"scheduled_at": "string",
"created_at": "string",
"updated_at": "string"
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI